API upload of model fails

Hi everyone, I am trying to setup Rasa X connected with a Github Action for deployment. On the server I am running the following versions: rasa: 2.8.0 rasa-x: 0.42.0

When uploading trying to upload a model from the Github Action via the /projects/default/models endpoint I get the following Error. The same error also occures when uploading via Postman and the API. The error is logged in docker logs rasa_rasa-worker_1

2021-08-25 12:44:05 ERROR    rasa.core.agent  - Failed to update model. The previous model will stay loaded instead.
Traceback (most recent call last):
  File "/opt/venv/lib/python3.8/site-packages/rasa/nlu/registry.py", line 121, in get_component_class
    return rasa.shared.utils.common.class_from_module_path(component_name)
  File "/opt/venv/lib/python3.8/site-packages/rasa/shared/utils/common.py", line 37, in class_from_module_path
    m = importlib.import_module(module_name)
  File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 973, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'rasa.nlu.classifiers._diet_classifier'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/venv/lib/python3.8/site-packages/rasa/core/agent.py", line 160, in _update_model_from_server
    _load_and_set_updated_model(agent, model_directory, new_fingerprint)
  File "/opt/venv/lib/python3.8/site-packages/rasa/core/agent.py", line 133, in _load_and_set_updated_model
    interpreter = _load_interpreter(agent, nlu_path)
  File "/opt/venv/lib/python3.8/site-packages/rasa/core/agent.py", line 92, in _load_interpreter
    return rasa.core.interpreter.create_interpreter(nlu_path)
  File "/opt/venv/lib/python3.8/site-packages/rasa/core/interpreter.py", line 33, in create_interpreter
    return RasaNLUInterpreter(model_directory=obj)
  File "/opt/venv/lib/python3.8/site-packages/rasa/core/interpreter.py", line 127, in __init__
    self._load_interpreter()
  File "/opt/venv/lib/python3.8/site-packages/rasa/core/interpreter.py", line 165, in _load_interpreter
    self.interpreter = Interpreter.load(self.model_directory)
  File "/opt/venv/lib/python3.8/site-packages/rasa/nlu/model.py", line 341, in load
    return Interpreter.create(
  File "/opt/venv/lib/python3.8/site-packages/rasa/nlu/model.py", line 412, in create
    components.validate_requirements(model_metadata.component_classes)
  File "/opt/venv/lib/python3.8/site-packages/rasa/nlu/components.py", line 70, in validate_requirements
    component_class = registry.get_component_class(component_name)
  File "/opt/venv/lib/python3.8/site-packages/rasa/nlu/registry.py", line 148, in get_component_class
    raise ComponentNotFoundException(
rasa.nlu.registry.ComponentNotFoundException: Failed to load the component 'rasa.nlu.classifiers._diet_classifier.DIETClassifier'. Failed to find module 'rasa.nlu.classifiers._diet_classifier'. Either your pipeline configuration contains an error or the module you are trying to import is broken (e.g. the module is trying to import a package that is not installed). Traceback (most recent call last):
  File "/opt/venv/lib/python3.8/site-packages/rasa/nlu/registry.py", line 121, in get_component_class
    return rasa.shared.utils.common.class_from_module_path(component_name)
  File "/opt/venv/lib/python3.8/site-packages/rasa/shared/utils/common.py", line 37, in class_from_module_path
    m = importlib.import_module(module_name)
  File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 973, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'rasa.nlu.classifiers._diet_classifier'

I get a HTML page as a response that canโ€™t be displayed. The Webinterface does work without problems. Do you have an suggestions what the problem could be?

Thank you in advance, Sรถren

@soerenetler can you downgrade the rasa-x: 0.42.0 to rasa-x: 0.39.3 and try run

Sure, I installed Rasa X via the Docker Compose Install Script. What is the easiest way to downgrade?

@soerenetler I guess you need a image, do check on docker hub and see the tag.